Package relaxngcc.datatype.parser

# Interface NGCCEventReceiver

All Known Implementing Classes:
  `NGCCHandler`, `NGCCInterleaveFilter`, `Start`

public interface NGCCEventReceiver

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Method Summary

Modifier and Type
Method
Description
`void`
`enterAttribute(String uri, String localName, String qname)`
`void`
`enterElement(String uri, String localName, String qname, Attributes atts)`
`void`
`leaveAttribute(String uri, String localName, String qname)`
`void`
`leaveElement(String uri, String localName, String qname)`
`void`
`text(String value)`

## Method Details

### enterElement

void enterElement(String uri, String localName, String qname, Attributes atts) throws SAXException

Throws:
  `SAXException`

### leaveElement

void leaveElement(String uri, String localName, String qname) throws SAXException

Throws:
  `SAXException`

### text

void text(String value) throws SAXException

Throws:
  `SAXException`

### enterAttribute

void enterAttribute(String uri, String localName, String qname) throws SAXException

Throws:
  `SAXException`

### leaveAttribute

void leaveAttribute(String uri, String localName, String qname) throws SAXException

Throws:
  `SAXException`